---
title: "Installation et configuration d'un serveur DHCP"
date: 2025-01-28
lastmod: 2025-01-28
publishdate: 2025-01-28
draft: false
description: "Installation et configuration d'un serveur DHCP IPv4 sous Windows Server 2022"
keyword: ["Windows Server","DHCP","IPv4"]
weight: 30
---

Dans cette partie nous allons voir comment installer et configurer un serveur DHPC sur Windows Server 2022.
Mise 

# Installation

Au sein du **"Gestionnaire de serveur"**, cliquez sur **"Gérer"** et **"Ajouter des rôles et fonctionnalités"**.

![Écran 1](/images/WindowsServeur/DHCP/ecran_01.png)

Si vous installer votre 1er rôle sur votre serveur vous avez ce message vous pouvez cohcher la case pour ne plus le voir.

![Écran 2](/images/WindowsServeur/DHCP/ecran_02.png)

Choisissez l'option **"Installation basée sur un rôle ou une fonctionnalité"** et poursuivez.

![Écran 3](/images/WindowsServeur/DHCP/ecran_03.png)

Poursuivez directement, car le serveur local est déjà sélectionné, dans notre cas ici *"WIN-SRV"*. 

![Écran 4](/images/WindowsServeur/DHCP/ecran_04.png)

Dans la liste des rôles, cochez **"Serveur DHCP"** et au sein de la fenêtre qui s'affiche, vérifiez que l'option **"Inclure les outils de gestion"** soit cochée. Elle permet d'ajouter la console de gestion DHCP sur le serveur. Cliquez sur **"Ajouter des fonctionnalités"**.

![Écran 5](/images/WindowsServeur/DHCP/ecran_05.png)
![Écran 6](/images/WindowsServeur/DHCP/ecran_06.png)

L'assistant nous rappelle qu'il faut avoir une adresse IP statique sur le serveur DHCP avant de procéder à l'installation de ce rôle. Si c'est bien le cas, cliquez sur **"Suivant"**, sinon configurez l'interface réseau.

![Écran 9](/images/WindowsServeur/DHCP/ecran_09.png)

Voici la dernière étape de l'assistant, cliquez sur **"Installer"**. Il ne sera pas nécessaire de redémarrer le serveur à la fin de l'installation.

![Écran 10](/images/WindowsServeur/DHCP/ecran_10.png)

Lorsque l'installation est terminée, passez à l'étape suivante.

# configuration

Dans le **"Gestionnaire de serveur"**, il y a un avertissement en haut à droite. Cliquez sur l'icône puis sur **"Terminer la configuration DHCP"**.

![Écran 12](/images/WindowsServeur/DHCP/ecran_12.png)

Cette étape consiste à effectuer la création deux groupes de sécurité pour permettre la délégation quant à la gestion du serveur DHCP.
Cliquez sur **"Valider"**.

![Écran 13](/images/WindowsServeur/DHCP/ecran_13.png)

Vous devriez obtenir **"Terminé"** pour l'action. Cliquez sur **"Fermer"**.

![Écran 14](/images/WindowsServeur/DHCP/ecran_14.png)

Pour la configuration, je vous propose de voir la création d'une étendue DHCP et d'une réservation d'adresse IP. Je vous invite à ouvrir la console **"DHCP"** qui se trouve dans les Outils d'administration de votre serveur.

![Écran 15](/images/WindowsServeur/DHCP/ecran_15.png)

**Une étendue DHCP va permettre de déclarer une plage d'adresses IP que le serveur DHCP peut distribuer aux postes clients qui se connecteront au réseau**.

Dans cet exemple, je vous rappelle que le serveur à l'adresse IP **"192.168.100.254"**. Nous allons créer une étendue pour distribuer les adresses IP de 192.168.100.10 à 100, soit 11 adresses IPv4.

Il est important que la plage IP à distribuer soit sur le même segment réseau que le serveur pour notre test. Bien sûr, un serveur DHCP peut contenir plusieurs étendues et distribuer des adresses IP sur des réseaux différents du sien, mais ceci implique l'utilisation de la fonctionnalité relais DHCP.

Dans la console DHCP, effectuez un clic droit sur **"IPv4"** puis sur **"Nouvelle étendue"**.

![Écran 16](/images/WindowsServeur/DHCP/ecran_16.png)
![Écran 17](/images/WindowsServeur/DHCP/ecran_17.png)

Nommez l'étendue, par exemple **"lan_01"**. Ce nom sera affiché dans la console DHCP. Poursuivez.

![Écran 19](/images/WindowsServeur/DHCP/ecran_19.png)

Désormais,nous devons définir la plage d'adresses IP que nous voulons distribuer aux clients DHCP. Il faut également spécifier le masque de sous-réseau adéquat. Voici la configuration correspondante à notre objectif :

![Écran 20](/images/WindowsServeur/DHCP/ecran_20.png)

Pour la partie **"Ajout d'exclusions et de retard"**, nous pouvons l'utiliser pour exclure certaines adresses IP de la plage définie précédemment.

Imaginons qu'au sein de cette plage de 11 adresses IP, nous souhaitons exclure l'adresse IP en ".225". Nous pouvons imaginer, à titre d'exemple, que cette adresse IP en plein milieu de la plage est déjà utilisée par une imprimante. Dans ce cas, il faudrait indiquer "192.168.100.225" comme adresse IP de début et "192.168.100.225" comme adresse IP de fin, puis cliquer sur "Ajouter". Ainsi, l'adresse IP ne sera pas distribuée aux clients bien qu'elle soit dans la plage de notre étendue.

![Écran 21](/images/WindowsServeur/DHCP/ecran_21.png)

**La durée du bail correspond à la durée pendant laquelle le client pourra bénéficier de l'adresse IP fournie par le serveur DHCP**.

Lorsqu'il s'agit d'une étendue qui sera utilisée par les postes de votre établissement, vous pouvez utiliser une durée sur plusieurs jours. Par exemple : 8 jours. Pourquoi ? Simplement, car les postes de votre établissement seront amenés à se connecter régulièrement, voire même tous les jours, donc autant leur attribuer une adresse IP sur plusieurs jours pour éviter qu'il effectue une demande trop fréquemment auprès du serveur DHCP.

À l'inverse, si vous utilisez une étendue à destination d'un réseau Wi-Fi de type **"Hotspot"** où se connecteront des visiteurs, une durée de quelques heures ou une journée pour le bail DHCP est une bonne idée. En effet, un visiteur qui est là aujourd'hui ne le sera peut-être pas demain, alors pourquoi maintenir un bail DHCP sur cette adresse IP pendant plusieurs jours alors que l'appareil ne sera plus là ? Autant libérer l'adresse IP plus rapidement de manière à pouvoir la réattribuer à un autre appareil. Sinon, tout le temps que le bail est en cours, l'adresse IP sera bloquée même si l'appareil n'est plus connecté au réseau, à moins de supprimer soi-même le bail dans la base de données du serveur DHCP, mais ce n'est pas le but.

![Écran 22](/images/WindowsServeur/DHCP/ecran_22.png)

À l'étape suivante, sélectionnez **"Oui, je veux configurer ces options maintenant"** et poursuivez. Cela va permettre de définir des paramètres supplémentaires comme l'attribution d'une passerelle et d'un DNS.

![Écran 23](/images/WindowsServeur/DHCP/ecran_23.png)

Commençons par le routeur à attribuer aux clients DHCP de cette étendue, autrement dit la passerelle par défaut de votre réseau. Indiquez l'adresse IP et cliquez sur **"Ajouter"**.

![Écran 24](/images/WindowsServeur/DHCP/ecran_24.png)

De la même façon pour l'étape **"Nom de domaine et serveurs DNS"**, Ensuite, indiquez le(s) serveur(s) DNS à distribuer à vos clients. Si l'étendue est à destination des postes de travail de votre organisation.

![Écran 25](/images/WindowsServeur/DHCP/ecran_25.png)

La résolution WINS étant obsolète, il n'est pas nécessaire de renseigner un serveur. Laissez vide et poursuivez.

![Écran 26](/images/WindowsServeur/DHCP/ecran_26.png)

Pour finir, cliquez sur **"Oui, je veux activer cette étendue maintenant"** et continuez jusqu'à la fin.

![Écran 27](/images/WindowsServeur/DHCP/ecran_27.png)

Notre étendue DHCP **"lan_01"** apparaît bien dans la console DHCP et elle est active : à partir de ce moment-là, les postes clients peuvent obtenir une adresse IP à partir de notre serveur. Dans la section **"Options d'étendue"**, nous retrouvons bien les options définies précédemment : le routeur, les DNS et le nom de domaine.

