---
title: "Commande Générale"
date: 2025-01-24
lastmod: 2025-01-24
publishdate: 2025-01-24
draft: false
description: "Commande utile que l'équipement soit un switch ou un routeur"
keyword: ["cisco","switch","routeur"]
weight: 10
---

## nommer l'équipement
    Switch> enable
    Switch# configure terminal
    Switch(conf)# hostname Host
    
## protéger l'accès console
    Switch(conf)# line {console|aux|tty|vty} {0-xx} [1-x]
    Switch(conf-line)# password *mot de passe*
    Switch(conf-line)# login

## mot de passe "enable"
    Switch(conf)# enable {password|secret} *mot de passe*

## Activer le chiffrement des mdp
    Switch(conf)# service password-encryption

## sauvegarde de la configuation en cours vers démarrage
    Switch# copy running-config startup-config
ou
    Switch# write
    
## désactivation de la recherche DNS dans l'interface 
    Switch(conf)# no ip domain-lookup

## Voir la configuration en cours
    Switch# Show running-config

## Voir la configuration du fichier sauvegarde sur la NVRAM
    Switch# Show startup-config


Configuration SSH
=================

## prérequis
- renommer l'équipement
- mettre mot de passe "enable"

## définir un nom de domaine
    Switch(conf)# ip domain-name *nom-de-domaine*

## activer la version 2 de SSH
    Switch(conf)# ip ssh version 2

## générer clés ssh
    Switch(conf)# crypto key generate rsa general-keys modulus *1024*

## créer un utilisateur local
    Switch(conf)# username *login* {secret|password} *mot-de-passe*

## Ajout d'un time out
    Switch(conf)# ip ssh time-out {nbsec}

## ajout d'un nombre de tentatives
    Switch(conf)# ip ssh authentication-retries {nb tentative}

## configuration du maximum de conenxion simultanné
    Switch(conf)# ip ssh maxstartups {2-128}

## configurer ligne vty
    Switch(conf)# line vty 0 15
    Switch(conf-line)# login local
    Switch(conf-line)# transport input ssh
    Switch(conf-line)# no password