---
title: "Routeur"
date: 2025-01-24
lastmod: 2025-01-24
publishdate: 2025-01-24
draft: false
description: "Commande spécifique pour les routeurs"
keyword: ["cisco","routeur"]
weight: 30
---

## Route statique
    Router(conf)# ip route *réseau* *masque* { *adresse ip* | *interface sortie* [ *adresse-ip* ] }
ou
    Router(conf)# ipv6 unicast-routing
    Router(conf)# ipv6 route *réseau/masque* { *adresse ip* | *interface sortie* [ *adresse-ip* ] }

## Route par défaut
    Router(conf)# ip route 0.0.0.0 0.0.0.0 { *adresse ip* | *interface sortie* [ *adresse-ip* ] }
ou
    Router(conf)# 
    Router(conf)# ipv6 route *::/0* { *adresse ip* | *interface sortie* [ *adresse-ip* ] }
    
## inferface virtuelle pour mode TRUNK
    Router(config)# interface [interface].[id]
    Router(config-if)# encapsulation dot1Q [vlan]
    Router(config-if)# ip address *rid* 255.255.255.255
    Router(config-if)# no shutdown
    
ne pas oublier d'allumer l'interface générale

## Routage dynamique RIPv2

### activation du routage
    Router(conf)# router rip

### activation de la version 2
    Router(conf-router)# version 2

### déclaration des réseaux qui lui sont directement connecter
    Router(conf-router)# network *réseau connue*

### désactiver le résumer des routes    
    Router(conf-router)# no auto-summary

### désactiver l'envoie des mises à jour de la table de routage vers interface non voulue
    Router(conf-router)# passive-interface *interface*

### propagation route par défaut
Obligation d'avoir la route par défaut Configurer sur le routeur
    Router(conf-router)# default-information originate


## Routage dynamique OSPF

### activation du routage
    Router(conf)# router ospf *10* // même numéro pour tous les routeurs

### définition de l'ID du routeur
    Router(conf-router)# router-id *rid* 
ou
    Router(config)# interface Loopback 1
    Router(config-if)# ip address *rid* 255.255.255.255
    Router(config-if)# end
avec *rid* de forme adresse IP
    
### modification de l'ID
    Router(conf)# router ospf *10* // même numéro pour tous les routeurs
    Router(conf-router)# router-id *rid* 
    Router# clear ip ospf proccess

### déclaration d'un réseau
    Router(conf-router)# network *réseau* *masque inverse* area *id réseau*
masque inverse = masque réseau - 255.255.255.255 octet par octet

### désactiver l'envoie des mises à jour de la table de routage vers interface non voulue
    Router(conf-router)# passive-interface *interface*

### commande pour vérifier configuration ospf Interface
    Router# show ip ospf interface *interface*

Configuration d'un DHCP
=======================

## désactivation d'adresse ip à distribuer
    Router> enable
    Router# configure terminal
    Router(config)# ip dhcp exclude-address *ip début* [*ip fin*]

## déclaration de la pool
    Router> enable
    Router# configure terminal
    Router(config)# ip dhcp pool *Nom*
    Router(dhcp-config)# network *réseau* *Masque*
    Router(dhcp-config)# dns-server *ip_dns*
    Router(dhcp-config)# default-router *Gateway*


## déclaration d'un relay dhcp
    Router> enable
    Router# configure terminal
    Router(config)# interface {interface}
    Router(config-if)# ip helper-address {IP DHCP }
    
Configuration ACL
=================

## Configuration d'une ACL numéroté
    Router> enable
    Router# configure terminal
    Router# access-list *numero* deny *ip adresse*  *wilcard mask*
    Router# access-list *numero* permit any
    Router(config)# interface {interface}
    Router(config-if)# ip access-group *numero* out

## Configuration d'une ACL standard nommée
    Router> enable
    Router# configure terminal
    Router# ip access-list standard *nom de l'acl"
    Router(config-std-nacl)# permit host *ip host*
    Router(config-std-nacl)# deny any
    
## application d'une ACL nommée
    Router> enable
    Router# configure terminal
    Router(config)# interface {interface}
    Router(config-if)# ip access-group *nom de l'acl* {in|out}
    
## sécurisation des lignes vty par ACL
    Router> enable
    Router# configure terminal
    Router(config)# access-list *numero* permit host *ip adresse*
    Router(config)# line vty {0} [n]
    Router(config-line)# access-class *numero* in
    
Configuration du NAT
====================

## définition d'une ACL pour qui a le droit de sortir avec le NAT
    Router(config)# access-list *numero* permit *network* *wilcard*
    
## configuration de la pool d'ip publique
    Router(config)# ip nat pool *Nom* *ip start* *ip end* netmask *masque*
    
## affectation de l'acl a la parti locale du réseau NAT dynamique
    Router(config)# ip nat inside source list *numero acl* pool *nom de la pool*
    
## NAT statique
    Router(config)# ip nat inside source *ip locale* *ip publique*
    
## Déclaration lien inside
    Router(config)# interface *interface coté local*
    Router(config-if)# ip nat inside

## Déclaration lien ouside
    Router(config)# interface *interface coté externe*
    Router(config-if)# ip nat outside
