# Génération de Site Web avec Hugo  

Ce dépôt contient le code source pour la génération d'un site web à l'aide du moteur de site statique **[Hugo](https://gohugo.io/)**.  

## Objectif du Projet  

Ce projet vise à créer un site web destiné à regrouper une documentation technique complète pour les techniciens supérieurs en systèmes et réseaux. Le site est conçu pour être rapide, performant et facile à maintenir, en exploitant les capacités de génération de contenu statique offertes par Hugo.  

## Contenu du Dépôt  

- **config.toml** : Le fichier de configuration principal de Hugo.  
- **content/** : Les fichiers markdown des pages du site (articles, guides, documentations).  
- **layouts/** : Les modèles personnalisés pour le rendu du site.  
- **static/** : Les ressources statiques telles que les images, les fichiers CSS et JavaScript.  
- **themes/** : Le thème utilisé par le site (personnalisé ou tiers).  

## Prérequis  

Avant de commencer, assurez-vous d'avoir installé :  
1. [Hugo](https://gohugo.io/getting-started/installing/)  
2. Un éditeur de texte/code (ex. VS Code)  
3. Git pour la gestion du dépôt  

## Instructions d'Installation  

1. Clonez ce dépôt sur votre machine locale :  
   ```bash
   git clone https://git.manydev.info/manfraid/site_tssr.git
   cd site_tssr
   ```

2. Lancez le serveur de développement Hugo pour visualiser le site en local :
    ```bash
    hugo server
   ```

3. Accédez au site dans votre navigateur à l'adresse : `http://localhost:1313`

## Déploiement

Pour générer les fichiers statiques prêts pour la production :
    ```bash
    hugo
    ```

Les fichiers générés seront placés dans le dossier `public/.` Vous pouvez les déployer sur n'importe quel service d'hébergement compatible (ex. Netlify, GitHub Pages).

## Contribution

Les contributions sont les bienvenues ! Si vous souhaitez ajouter du contenu ou améliorer le site, suivez ces étapes :

1. Forkez ce dépôt
2. Créez une branche avec vos modifications :
    ```bash
    git checkout -b ma-branche
    ```

2. Proposez vos changements en soumettant une Pull Request

## Licence

Ce projet est sous licence **GNU Free Documentation License**. Consultez le fichier `LECENSE.md` pour plus de détails.